package be.iminds.ilabt.jfed.rspec.model.imutable_impl;

import be.iminds.ilabt.jfed.rspec.model.InstallService;

public class ImmutableInstallService implements InstallService {
    private final String installPath;
    private final String url;

    public ImmutableInstallService(InstallService orig) {
        this.installPath = orig.getInstallPath();
        this.url = orig.getUrl();
    }

    @Override public String getInstallPath() {
        return installPath;
    }

    @Override public void setInstallPath(String installPath) {
        throw new UnsupportedOperationException();
    }

    @Override public String getUrl() {
        return url;
    }

    @Override public void setUrl(String url) {
        throw new UnsupportedOperationException();
    }
}
